Subject: bug#74836: reconfigure fails with colord-service-type enabled

From: Nathan Dehnel <[email-masked]>
Date: Fri, 13 Dec 2024 18:04:27 -0600

Oh sorry, color management wasn't working for me in gnome and I didn't
see colord in herd status so I assumed I didn't have it.

On Fri, Dec 13, 2024 at 2:34 PM Richard Sent
<[email-masked]> wrote:
>
> Are you trying to use both %desktop-services and colord-service-type?
> When I examine /gnu/store/...-dbus-system-services-builder with an OS
> containing both %desktop-services and colord-service-type, I see the
> following in dbus-system-services-builder:
>
> (list
>  ......
>  "/gnu/store/ggaj14rcnab55ic690f5vabj0m6ydpb4-colord-1.4.6"
>  "/gnu/store/ggaj14rcnab55ic690f5vabj0m6ydpb4-colord-1.4.6")
>
> If I use %base-services instead, the system builds.
>
> The catch for duplicate services only applies to Shepherd services, not
> Guix System services. I wonder if we should also check for duplicate
> system services.
>
> --
> Take it easy,
> Richard Sent
> Making my computer weirder one commit at a time.